Bug 910903 (CVE-2013-0153)

Summary: CVE-2013-0153 kernel: xen: interrupt remap entries shared and old ones not cleared on AMD IOMMUs
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, bfan, bhu, dhoward, dlaor, drjones, fhrbata, iboverma, imammedo, jforbes, jkacur, jneedle, kernel-mgr, kraxel, leiwang, lersek, lgoncalv, lwang, m.a.young, mcressma, mrezanin, npajkovs, pbonzini, plougher, qguan, rt-maint, rvrbovsk, sforsber, williams, wshi, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130205,reported=20130123,source=upstream,cvss2=4.3/AV:A/AC:H/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=affected,fedora-all/xen=affected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-21 17:09:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 910912, 910913, 910914    
Bug Blocks: 910879, 957090    

Description Petr Matousek 2013-02-13 15:10:14 EST
To avoid an erratum in early hardware, the Xen AMD IOMMU code by default chooses to use a single interrupt remapping table for the whole system.  This sharing implies that any guest with a passed through PCI device that is bus mastering capable can inject interrupts into other guests, including domain 0.

Furthermore, regardless of whether a shared interrupt remapping table is in use, old entries are not always cleared, providing opportunities (which accumulate over time) for guests to inject interrupts into other guests, again including domain 0. 

In a typical Xen system many devices are owned by domain 0 or driver domains, leaving them vulnerable to such an attack. Such a DoS is likely to have an impact on other guests running in the system. 

A malicious domain which is given access to a physical PCI device can mount a denial of service attack affecting the whole system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-02-13 15:21:40 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 910914]
Comment 4 Petr Matousek 2013-02-13 15:32:18 EST
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 5 Fedora Update System 2013-02-15 20:24:07 EST
xen-4.1.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-18 01:49:28 EST
xen-4.2.1-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-05-21 15:20:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0847 https://rhn.redhat.com/errata/RHSA-2013-0847.html